Grupos de reporte
Recuperar un grupo de reporte
Recupera información detallada sobre un grupo de reporte específico, incluida su configuración y los ajustes del agente. Devuelve datos del grupo de reporte que coinciden con la estructura del endpoint de listado.
GET
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
Recuperar un grupo de reporte
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"execute_flexx_analyzer_agent": true,
"organization_id": "<string>",
"product_config_id": "<string>",
"fishing_pattern": "<string>",
"fishing_pattern_field": "full_name",
"patch_policy_target_id": "<string>",
"policy_reporting_group": "<string>",
"overridden_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"unified_operations": "<string>",
"uninstall_protection": "off",
"web_apps": true
},
"effective_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"uninstall_protection": "off",
"resources_report_recurrence": 123,
"profile_storage_report_recurrence": 123,
"sync_broker_recurrence": 123,
"detect_new_citrix_subscriptions": true,
"proxy_type": "<string>",
"can_enable_flexx_agent_per_group": true,
"web_apps": true,
"fra_simplified_security": "<string>"
},
"intermediate_device_1_id": "<string>",
"intermediate_device_2_id": "<string>",
"intermediate_device_3_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autorizaciones
Parámetros de ruta
Respuesta
Detalles del grupo de reporte recuperados correctamente. La respuesta incluye la configuración del grupo de reporte y los ajustes del agente.
⌘I
Recuperar un grupo de reporte
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"execute_flexx_analyzer_agent": true,
"organization_id": "<string>",
"product_config_id": "<string>",
"fishing_pattern": "<string>",
"fishing_pattern_field": "full_name",
"patch_policy_target_id": "<string>",
"policy_reporting_group": "<string>",
"overridden_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"unified_operations": "<string>",
"uninstall_protection": "off",
"web_apps": true
},
"effective_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"uninstall_protection": "off",
"resources_report_recurrence": 123,
"profile_storage_report_recurrence": 123,
"sync_broker_recurrence": 123,
"detect_new_citrix_subscriptions": true,
"proxy_type": "<string>",
"can_enable_flexx_agent_per_group": true,
"web_apps": true,
"fra_simplified_security": "<string>"
},
"intermediate_device_1_id": "<string>",
"intermediate_device_2_id": "<string>",
"intermediate_device_3_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}